Name:           python-atbu-pkg
Version:        0.0.46
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ATBU package supports local/cloud backup/restore as well as local file integrity diff tool for helping in efforts to manage file integrity, duplication, and bitrot detection.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/AshleyT3/atbu
Source:         %{pypi_source atbu_pkg}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'atbu-pkg' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-atbu-pkg
Summary:        %{summary}

%description -n python3-atbu-pkg %_description


%prep
%autosetup -p1 -n atbu_pkg-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-atbu-pkg -f %{pyproject_files}


%changelog
%autochangelog